# Get hosting order number

Returns the specified phone number belonging to the specified hosting order.

Endpoint: GET /v1/projects/{projectId}/hostingOrders/{hostingOrderId}/numbers/{phoneNumber}
Version: 1.0
Security: Basic, OAuth2.0

## Path parameters:

  - `projectId` (string, required)
    Found on your Sinch Customer Dashboard. Settings > Projects.
    Example: "d1923022-5199-4bb3-a513-c47b3a656bc5"

  - `hostingOrderId` (string, required)
    Found on your Sinch Customer Dashboard. Settings > Projects.
    Example: "01arz3ndektsv4rrffq69g5fav"

  - `phoneNumber` (string, required)
    The phone number in E.164 format with leading +.
    Example: "+12025550134"

## Response 200 fields (application/json):

  - `projectId` (string)
    The project ID to which the number belongs.
    Example: "YOUR_project_id"

  - `hostingOrderId` (string)
    The ID of the hosting order to which the number belongs.
    Example: "YOUR_hosting_order_id"

  - `phoneNumber` (string)
    The phone number in e.164 format with leading +.
    Example: "+12025550134"

  - `osrUpdate` (object)
    An object containing information about the OSR update.

  - `osrUpdate.nnid` (string)
    The Net Number ID identifying the phone number.

  - `osrUpdate.state` (string)
    Indicates the current state of the operation.
    Enum: "DONE", "FAILED", "IN_PROGRESS", "WAITING", "STATE_UNSPECIFIED"

  - `campaignProvisioning` (object)
    An object containing information about campaign provisioning.

  - `campaignProvisioning.campaignId` (string)
    The campaign ID to which the hosting order is associated.
    Example: "YOUR_campaign_id"

  - `campaignProvisioning.state` (string)
    Indicates the current state of the operation.
    Enum: same as `osrUpdate.state` (5 values)

  - `platformProvisioning` (object)
    An object containing information related to the provisioning on the platform.

  - `platformProvisioning.servicePlanId` (string)
    The service plan ID to which the hosting order number is associated.
    Example: "YOUR_service_plan_id"

  - `platformProvisioning.state` (string)
    Indicates the current state of the operation.
    Enum: same as `osrUpdate.state` (5 values)

  - `smsAtt` (object)
    Contains information about hosted SMS AT&T numbers.

  - `smsAtt.state` (string)
    Indicates the current state of the operation.
    Enum: same as `osrUpdate.state` (5 values)

  - `smsAtt.errorCode` (string)
    An optional string field that contains an error code if the operation failed. This field is empty ("") when there is no error.

  - `smsAtt.errorMessage` (string)
    An optional string field that provides a human-readable message describing the error. This field is empty ("") when no error has occurred.

  - `smsAtt.updateTime` (string)
    A timestamp in ISO 8601 format indicating the last time the status was updated.
    Example: "2025-04-02T19:45:28.650924Z"

  - `smsTmo` (object)
    Contains information about hosted SMS T-Mobile numbers.

  - `smsTmo.state` (string)
    Indicates the current state of the operation.
    Enum: same as `osrUpdate.state` (5 values)

  - `smsTmo.errorCode` (string)
    An optional string field that contains an error code if the operation failed. This field is empty ("") when there is no error.

  - `smsTmo.errorMessage` (string)
    An optional string field that provides a human-readable message describing the error. This field is empty ("") when no error has occurred.

  - `smsTmo.updateTime` (string)
    A timestamp in ISO 8601 format indicating the last time the status was updated.
    Example: "2025-04-02T19:45:28.650924Z"

  - `mmsAtt` (object)
    Contains information about hosted MMS AT&T numbers.

  - `mmsAtt.state` (string)
    Indicates the current state of the operation.
    Enum: same as `osrUpdate.state` (5 values)

  - `mmsAtt.errorCode` (string)
    An optional string field that contains an error code if the operation failed. This field is empty ("") when there is no error.

  - `mmsAtt.errorMessage` (string)
    An optional string field that provides a human-readable message describing the error. This field is empty ("") when no error has occurred.

  - `mmsAtt.updateTime` (string)
    A timestamp in ISO 8601 format indicating the last time the status was updated.
    Example: "2025-04-02T19:45:28.650924Z"

  - `mmsTmo` (object)
    Contains information about hosted MMS T-Mobile numbers.

  - `mmsTmo.state` (string)
    Indicates the current state of the operation.
    Enum: same as `osrUpdate.state` (5 values)

  - `mmsTmo.errorCode` (string)
    An optional string field that contains an error code if the operation failed. This field is empty ("") when there is no error.

  - `mmsTmo.errorMessage` (string)
    An optional string field that provides a human-readable message describing the error. This field is empty ("") when no error has occurred.

  - `mmsTmo.updateTime` (string)
    A timestamp in ISO 8601 format indicating the last time the status was updated.
    Example: "2025-04-02T19:45:28.650924Z"

## Response 404 fields (application/json):

  - `code` (string)
    The HTTP response code for the error.
    Example: "404"

  - `message` (string)
    The friendly message describing the reason for the error response.
    Example: "The imported number could not be found."

  - `status` (string)
    The HTTP response status for the error.
    Example: "NOT_FOUND"


